// @flow
import React from 'react';
import type { Node } from 'react';
import { View } from 'react-native';
import { border } from '../../src/Utils/Theme';

type Props = {
  children: Node,
  width: string | number,
};

const styles = {
  borderWidth: border.width,
  borderColor: border.colorLight,
};

const Container = ({ children, width }: Props) => {
  const style = {
    ...styles,
    width,
  };

  return <View style={style}>{children}</View>;
};

Container.defaultProps = {
  width: 'auto',
};

export default Container;
